package cn.ysk.cashier.mybatis.entity;

import java.util.Date;

import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

/**
 * (TbShopSongOrder)表实体类
 *
 * @author ww
 * @since 2024-07-08 09:24:27
 */
@SuppressWarnings("serial")
public class TbShopSongOrder extends Model<TbShopSongOrder> {

    private Integer id;
    //歌曲id
    private Integer songId;
    private Integer shopId;
    //歌曲名称
    private String songName;
    //用户id
    private Integer userId;
    //支付金额
    private Double payMoney;
    //状态 -1 未支付 0 已取消 1 已支付 2 演唱中 3 已演唱
    private Integer state;
    //创建时间
    private Date createTime;
    //下单来源
    private Integer clientType;
    //订单编号
    private String orderNo;
    //点歌人
    private String fromName;
    //收歌人
    private String toName;
    //祝福语
    private String note;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getSongId() {
        return songId;
    }

    public void setSongId(Integer songId) {
        this.songId = songId;
    }

    public String getSongName() {
        return songName;
    }

    public void setSongName(String songName) {
        this.songName = songName;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Double getPayMoney() {
        return payMoney;
    }

    public void setPayMoney(Double payMoney) {
        this.payMoney = payMoney;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getClientType() {
        return clientType;
    }

    public void setClientType(Integer clientType) {
        this.clientType = clientType;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getFromName() {
        return fromName;
    }

    public void setFromName(String fromName) {
        this.fromName = fromName;
    }

    public String getToName() {
        return toName;
    }

    public void setToName(String toName) {
        this.toName = toName;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public Integer getShopId() {
        return shopId;
    }

    public void setShopId(Integer shopId) {
        this.shopId = shopId;
    }
}

